#!/bin/bash
# Tool zur Überwachung des Netzwerkadapters

TMP_FILE="/tmp/ping_checker_tool.tmp"
if [ -r $TMP_FILE ]; then
    FAILS=`cat $TMP_FILE`
else
    FAILS=0
fi

# Server wird hier festgelegt 8.8.8.8 ist google.com
SERVER="8.8.8.8"

ping -c 1 $SERVER >/dev/null 2>&1
if [ $? -ne 0 ] ; then #if ping exits nonzero...
    FAILS=$[FAILS + 1]
else
    FAILS=0
    echo "online"
fi
if [ $FAILS -gt 4 ]; then
    FAILS=0
    echo "Server $SERVER is offline!"
    ifconfig en0 down
    sleep 5
    ifconfig en0 up
    sleep 20
fi
echo $FAILS > $TMP_FILE
